# UniTAP.dev.ports.modules.pdc.pdc_dpam_types

class DISCCapability(enum.IntEnum):

Class `DISCCapability` contains all possible variants of DISC capability.

Reserved = <DISCCapability.Reserved: 0>
UFP_D_capable = <DISCCapability.UFP_D_capable: 1>
DPF_D_capable = <DISCCapability.DPF_D_capable: 2>
UFP_D_and_DPF_D = <DISCCapability.UFP_D_and_DPF_D: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DISCDpSignaling(enum.IntEnum):

Class `DISCDpSignaling` contains all possible variants of signaling.

Unspecified = <DISCDpSignaling.Unspecified: 0>
Dp_v13 = <DISCDpSignaling.Dp_v13: 1>
Gen2 = <DISCDpSignaling.Gen2: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PinAssignmentModes(enum.IntEnum):

Class `PinAssignmentModes` contains all possible variants of pin assignment.

NotSupported = <PinAssignmentModes.NotSupported: 0>
A_4_2lanes = <PinAssignmentModes.A_4_2lanes: 1>
B_2_1lanes = <PinAssignmentModes.B_2_1lanes: 2>
C_4lanes = <PinAssignmentModes.C_4lanes: 4>
D_2lanes = <PinAssignmentModes.D_2lanes: 8>
E_4lanes = <PinAssignmentModes.E_4lanes: 16>
F_2lanes_USB_GEN1 = <PinAssignmentModes.F_2lanes_USB_GEN1: 32>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DPAMVersion(enum.IntEnum):

Class `PinAssignmentModes` contains all possible variants of DP Alt mode version.

V_20_or_Earlier = <DPAMVersion.V_20_or_Earlier: 0>
V_21_or_Higher = <DPAMVersion.V_21_or_Higher: 1>
Reserved = <DPAMVersion.Reserved: 2>
Reserved2 = <DPAMVersion.Reserved2: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator